Package org.eclipse.net4j.util.properties

# Class PropertiesContainerUtil

java.lang.Object
org.eclipse.net4j.util.properties.PropertiesContainerUtil

public final class PropertiesContainerUtil extends Object

Since:
  3.15
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`static IRegistry<String,Object>`
`getProperties(Object object)`
`static <T> T`
`getProperty(Object object, String key, Class<T> type)`
`static <T> T`
`getProperty(IRegistry<String,Object> properties, String key, Class<T> type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getProperties

public static IRegistry<String,Object> getProperties(Object object)

### getProperty

public static <T> T getProperty(Object object, String key, Class<T> type)

### getProperty

public static <T> T getProperty(IRegistry<String,Object> properties, String key, Class<T> type)